Bug 74350 - Dual-Boot section lacks a LOT of detail
Dual-Boot section lacks a LOT of detail
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Sandra Moore
Sandra Moore
Depends On:
  Show dependency treegraph
Reported: 2002-09-20 19:19 EDT by Mark W. DeNio
Modified: 2014-08-04 18:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-20 19:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark W. DeNio 2002-09-20 19:19:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
rhl-ig-x86(EN)-7.3-HTML-RHI (2002-05-02T15:13-0400)
I don't know the best way to use the boot loader so that I can use Windows on 
one hard drive (the master) and RH7.3 on the slave hard drive.  I don't want to 
wipe out the Windows drive's MBR if I don't have to.

The section on configuring for Dual-Boot Systems says this: "Red Hat does not 
support alternate boot loaders. Thus, this section will discuss how to 
configure GRUB or LILO to boot both operating systems."  GREAT!  Just what I am 
looking for!

HOWEVER, here is the extent of the configuration instructions: "The Red Hat 
Linux installation program will usually detect Windows and automatically 
configure the boot loader (GRUB or LILO) to boot either Red Hat Linux or 
Windows. This can be seen on the boot loader screen of the installation 
program. An entry named DOS appears in the list of operating systems to boot."

My first installation did not work properly.  I had RH7.3 as the master and 
Windows as the slave.  I wiped the RH drive, flipped them and re-installed.  
There are many options and configuration possibilities.  The manual does not 
discuss ANY of them if the suggested way doesn't work.  It doesn't even mention 
how to go back and set something up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Simply install
2.  I created a boot floppy and wrote the loader to the /boot partition (on the 
slave hard drive)

Actual Results:  The boot floppy ignores the boot loader and goes right into 
Red Hat 7.3.

Expected Results:  Not sure.  I was hoping the boot loader would come up and 
allow me to boot into Windows.

Additional info:
Comment 1 Sandra Moore 2002-09-23 17:20:54 EDT
Thank you for your feedback and for your interest in Red Hat Linux.

If you purchased an official boxed set of Red Hat Linux, you can register your
boxed set at www.redhat.com/apps/activate. Once you have registered, you can use
the installation support that came with your boxed set. Dual-boot configuration
from the Red Hat Linux side is one of the services that is offered with our
standard boxed set support.

You can also try these links for additional help:

To the best of my knowledge, using a boot disk to boot Red Hat Linux will not
provide you with a boot loader where you can choose which OS you wish to load. A
boot disk  you created during the installation of Red Hat Linux will only load
Red Hat Linux. After an installation (with either GRUB or LILO installed), you
can boot (without a boot disk) the system to receive these options. Otherwise,
there are things you can do on the Windows(tm) side or with 3rd-party boot
loaders that we  do not support, nor do we feel comfortable in documenting since
they are unsupported.

Best regards,

Note You need to log in before you can comment on or make changes to this bug.